OpenTTD Source: BaseMusic Class Reference

OpenTTD Source 14.0-beta1

Static Public Attributes
BaseMusic Class Reference

All data/functions related with replacing the base music. More...

`#include <base_media_base.h>`

Inheritance diagram for BaseMusic:

## Static Public Attributes
static std::string | ini_set
| The set as saved in the config file.

## Additional Inherited Members
Static Public Member Functions inherited from BaseMedia< MusicSet >
static bool | DetermineBestSet ()
| Determine the graphics pack that has to be used. More...
static uint | FindSets ()
| Do the scan for files.
static MusicSet * | GetAvailableSets ()
| Return the available sets. More...
static bool | SetSet (const MusicSet *set)
| Set the set to be used. More...
static bool | SetSetByName (const std::string &name)
| Set the set to be used. More...
static bool | SetSetByShortname (uint32_t shortname)
| Set the set to be used. More...
static void | GetSetsList (std::back_insert_iterator< std::string > &output_iterator)
| Returns a list with the sets. More...
static int | GetNumSets ()
| Count the number of available graphics sets. More...
static int | GetIndexOfUsedSet ()
| Get the index of the currently active graphics set. More...
static const MusicSet * | GetSet (int index)
| Get the name of the graphics set at the specified index. More...
static const MusicSet * | GetUsedSet ()
| Return the used set. More...
static bool | HasSet (const ContentInfo *ci, bool md5sum)
| Check whether we have an set with the exact characteristics as ci. More...
Protected Member Functions inherited from BaseMedia< MusicSet >
bool | AddFile (const std::string &filename, size_t basepath_length, const std::string &tar_filename) override
| Add a file with the given filename. More...
Static Protected Member Functions inherited from BaseMedia< MusicSet >
static const char * | GetExtension ()
| Get the extension that is used to identify this set. More...
Static Protected Attributes inherited from BaseMedia< MusicSet >
static MusicSet * | available_sets
| All available sets.
static MusicSet * | duplicate_sets
| All sets that aren't available, but needed for not downloading base sets when a newer version than the one on BaNaNaS is loaded.
static const MusicSet * | used_set
| The currently used set.

## Detailed Description

All data/functions related with replacing the base music.

Definition at line 347 of file base_media_base.h.

The documentation for this class was generated from the following file:

- src/base_media_base.h